Name:           dgit
Version:        1.0
Release:        2%{?dist}
Summary:        Integration between git and Debian-style archives

Group:          Applications/System
License:        GPLv3+
URL:            https://browse.dgit.debian.org/dgit.git/
# git clone https://git.dgit.debian.org/dgit
# cd dgit
# git archive --prefix=dgit-1.0/ debian/1.0 |gzip >../dgit-1.0.tar.gz
Source0:        %{name}-%{version}.tar.gz

Requires:       devscripts
Requires:       curl
Requires:       git
Requires:       dpkg-dev
Requires:       tar
Requires:       coreutils
BuildArch:      noarch

%description
dgit (with the associated infrastructure) makes it possible to
treat the Debian archive as a git repository:

"dgit push" constructs uploads from git commits

"dgit clone" and "dgit fetch" construct git commits from uploads.


%prep
%setup -q


%build


%check
# dput is not packaged,
# possibly need Internet connectivity anyway
#EMAIL=jello.biafra@dead.kennedys \
#       tests/using-intree make -f tests/Makefile


%install
# We don't do an install-infra, not sure if the Debian specific
# infrastructure tools would make sense to be packaged in Fedora.
make install DESTDIR="%{buildroot}" \
        prefix="%{_prefix}" \
        bindir="%{_bindir}" \
        mandir="%{_mandir}" \
        perldir="%{perl_vendorlib}" \
        infraexamplesdir="%{_pkgdocdir}/examples"


%files
%{_bindir}/dgit
%{_mandir}/man1/dgit.1*
%{_mandir}/man7/dgit.7*
%{perl_vendorlib}/Debian
%doc debian/changelog NOTES
%license debian/copyright


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jul 20 2015 Lubomir Rintel <lkundrak@v3.sk> - 1.0-1
- Initial packaging
